> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2p1/endpoints/defendants/defendant-type.md).

# Defendant Type

## Filter by defendant type ID (integer).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases?defendant_type=defendant_type_id`

#### Query Parameters

| Name                                              | Type    | Description                                                                   |
| ------------------------------------------------- | ------- | ----------------------------------------------------------------------------- |
| defendant\_type<mark style="color:red;">\*</mark> | integer | Defendant Type ID (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Cases successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

Supported defendant type IDs (defendant\_type\_id):

| 5283 | Housing Authority                             |
| ---- | --------------------------------------------- |
| 5284 | Law-enforcement                               |
| 5289 | Jurisdiction-wide                             |
| 5324 | Insurer                                       |
| 5321 | Multi-family housing provider                 |
| 5323 | Bank or credit provider                       |
| 5505 | Elementary/Secondary School                   |
| 5503 | College/University                            |
| 5504 | Corrections                                   |
| 5563 | Movie Theater or Other Entertainment facility |
| 5561 | Restaurant                                    |
| 5287 | Sanitation/Public Works                       |
| 5288 | Transportation                                |
| 5506 | Fire                                          |
| 5507 | Hospital/Health Department                    |
| 5285 | Parks                                         |
| 5286 | Retailer                                      |
| 5322 | Single family housing provider                |

For more information about defendant types, see [Issues](/api-reference-v2p1/objects/case/issues.md#defendant-type).

**Example**

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?defendant_type=5561
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?defendant_type=5561"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}
